

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;

namespace APT.MS.Domain.Entities.HM
{
    /// <summary>
    /// 任务识别详情附件
    /// </summary>
    [Description("任务识别详情附件")]
    public class T_HM_TASK_ANALYZE_DETAIL_FILE : MesEntityBase
    {
        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件ID")]
        public Guid FILE_ID { get; set; }

        /// <summary>
        /// 文件名称
        /// </summary>
        [Description("文件名称")]
        [DataFieldLength(100)]

        public string FILE_NAME { get; set; }

        /// <summary>
        /// 任务识别明细表
        /// </summary>
        [Description("任务识别明细表")]
        public Guid TASK_ANALYZE_DETAIL_ID { get; set; }

        /// <summary>
        /// 导航：任务识别明细表
        /// </summary>
        [Description("导航：任务识别明细表")]
        public virtual T_HM_TASK_ANALYZE_DETAIL Nav_TaskAnalyzeDetail { get; set; }

        /// <summary>
        /// 图片文件表
        /// </summary>
        [Description("导航：文件表")]
        public virtual T_PF_FILE Nav_File { get; set; }
    }
}
